﻿using System;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;

namespace FlexGrid.FixedCheckBox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            //Alignment for the checkBox 
            c1FlexGrid1.Cols[0].ImageAlign = ImageAlignEnum.CenterCenter;

            for (int i = c1FlexGrid1.Rows.Fixed; i < c1FlexGrid1.Rows.Count; i++)
            {
                //Set cell check by default
                c1FlexGrid1.SetCellCheck(i, 0, CheckEnum.Checked);
            }
        }
        private void BtnConditionCheck_Click(object sender, EventArgs e)
        {
            UpdateCellCheck();
        }

        private void UpdateCellCheck()
        {
            for (int i = c1FlexGrid1.Rows.Fixed; i < c1FlexGrid1.Rows.Count; i++)
            {
                //Update cell check as per your condition
                if (i % 2 == 0)
                {
                    c1FlexGrid1.SetCellCheck(i, 0, CheckEnum.Checked);
                }
                else
                {
                    c1FlexGrid1.SetCellCheck(i, 0, CheckEnum.None);
                }
            }
        }
    }
}
